• 2 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
CodeIgniter 4 appstarter beta.2 updated

#4
If you install the appstarter with the "--no-dev" option, then the installed package list is much shorter:
Quote:Package operations: 4 installs, 0 updates, 0 removals
 - Installing zendframework/zend-escaper (2.6.0): Downloading (100%)        
 - Installing psr/log (1.1.0): Downloading (100%)        
 - Installing kint-php/kint (2.2): Downloading (100%)        
 - Installing codeigniter4/framework (v4.0.0-alpha.4): Downloading (connecting.

"composer update --no-dev" will bring the framework up to the latest version, beta.2 in this case.

The three packages besides the framework are trusted ones, and bundled into the framework's system folder automatically.
You don't end up with phpunit installed, but that could be installed globally and separately if you want to use it for development.

We'll update the user guide to explain this better.
Reply


Messages In This Thread
CodeIgniter 4 appstarter beta.2 updated - by jlp - 04-08-2019, 10:08 AM
RE: CodeIgniter 4 appstarter beta.2 updated - by ciadmin - 04-09-2019, 12:48 AM

Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2019 MyBB Group.